Bug 431330 - No more menus is shown with clusterssh
No more menus is shown with clusterssh
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-Tk (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-02 17:52 EST by Jérôme Benoit
Modified: 2008-12-16 09:27 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-16 09:27:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jérôme Benoit 2008-02-02 17:52:43 EST
Description of problem:

No menu with clusterssh anymore ... 

Version-Release number of selected component (if applicable):

clusterssh-3.19.1-3.fc8

How reproducible:

Always.

Steps to Reproduce:
1. Start cluster ssh on Fedora 8 up2date
2.
3.
  
Actual results:


Expected results:


Additional info:

Seems to be correlated to latest perl-tk update, clusterssh has been borken just
 after this update. Maybe trying to update to last upstream version can fix it.
I haven't investigate too much :)
Comment 1 Jima 2008-02-04 08:45:42 EST
Funny, I just put a newer upstream version in updates-testing 10 days ago. :-)

Could you try:

yum --enablerepo=updates-testing upgrade clusterssh

and let me know if 3.22-1.fc8 is similarly affected?

If not, I think I'll be pushing that to updates-released sooner rather than later.

Thanks!
Comment 2 Jérôme Benoit 2008-02-04 09:00:57 EST
Hello,

Sorry, the latest upstream in updates-testing is similarly affected ... 
I don't know what have changed in perl-tk but something have broke clusterssh.

Cheers. 
Comment 3 Jima 2008-02-04 09:51:18 EST
Poking upstream.  Hi Duncan!

I can confirm, clusterssh-3.22-1 fails to display its menus with
perl-Tk-804.028-2, but succeeds with 804.027-12.  Duncan, any potential thoughts
on this?  The former was apparently released to Fedora on or around 2008-01-11;
I admit I must have overlooked the lack of menus during my testing (I mainly use
the text entry field).  And huh: with the older perl-Tk, I'm getting those
segfaults again!
Comment 4 Duncan Ferguson 2008-02-26 15:54:45 EST
This does seem to be an issue with Tk rather than cssh - the only reports I have had about this are on FC8 
and I don't have access to that OS any more to investigate further.

  Duncs
Comment 5 degraw 2008-03-10 21:06:55 EDT
Duncan is correct, the problem lies with the perl-Tk package.

The menus appear correctly when using a build of Tk-804.028 straight from CPAN.
The segfault-on-disconnect problem also doesn't occur, at least with the basic
testing I've done.
Comment 6 Jérôme Benoit 2008-03-11 20:38:51 EDT
It do not seem i can change the "assigned to" field ... only the component.

Is there any bugzilla master out there ? ;)
Comment 7 Tom "spot" Callaway 2008-03-11 23:53:28 EDT
So, it looks like the menu problem is due to this section from the
perl-Tk-seg.patch:

+
+    if (!optionPtr->specPtr->type) {
+       return NULL;
+    }
+

I reworked the patch to take out that section, and the menus come right back. I
also tested the failure case from bz 235666 (which was the original reason for
the patch), and I couldn't reproduce it.

With the reworked patch, make test also passes (it was failing before). It also
resolves upstream bug 33880. I've committed the changes to rawhide, and I'll let
the perl-Tk maintainer do the F-7/F-8 errata. ;)
Comment 8 Tom "spot" Callaway 2008-03-12 00:03:58 EDT
Fixed rawhide build: http://koji.fedoraproject.org/koji/buildinfo?buildID=42646
Comment 9 Jérôme Benoit 2008-03-27 10:54:06 EDT
Hi,

Any chance to have this fix pushed to F-8 and F-7 ?

Cheers.
Comment 10 Edward Rudd 2008-08-29 18:32:57 EDT
Can we please have this pushed to F-8?
Comment 11 Bug Zapper 2008-11-26 04:40:36 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Edward Rudd 2008-12-15 23:19:26 EST
This issue is resolved in F10 (Tested on x86_64 install)

Note You need to log in before you can comment on or make changes to this bug.